Name:          xwayland
Version:       22.1.4
Release:       1mamba
Summary:       X.org X Server that runs under Wayland
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wayland.freedesktop.org/xserver.html
Source:        https://xorg.freedesktop.org/archive/individual/xserver/xwayland-%{version}.tar.xz
License:       https://xorg.freedesktop.org
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXau-devel
BuildRequires: libXfont2-devel
BuildRequires: libaudit-devel
BuildRequires: libbsd-devel
BuildRequires: libdrm-devel
BuildRequires: libepoxy-devel
BuildRequires: libglvnd-devel
BuildRequires: libmd-devel
BuildRequires: libmesa-devel
BuildRequires: libpixman-devel
BuildRequires: libselinux-devel
BuildRequires: libtirpc-devel
BuildRequires: libwayland-devel
BuildRequires: libxcvt-devel
BuildRequires: libxshmfence-devel
## AUTOBUILDREQ-END
Requires:      xorg-server

%description
X.org X Server that runs under Wayland.

%debug_package

%prep
%setup -q

%build
%meson \
    -D ipv6=true \
    -D xvfb=false \
    -D xdmcp=false \
    -D xcsecurity=true \
    -D dri3=true \
    -D xwayland_eglstream=true \
    -D glamor=true \
    -D xkb_dir=%{_datadir}/X11/xkb \
    -D xkb_output_dir=%{_sysconfdir}/X11/xkb/compiled

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

rm -f %{buildroot}%{_mandir}/man1/Xserver.1*
rm -f %{buildroot}%{_libdir}/xorg/protocol.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/Xwayland
%{_libdir}/pkgconfig/xwayland.pc
%{_mandir}/man1/Xwayland.1*
%doc COPYING

%changelog
* Sat Oct 22 2022 Automatic Build System <autodist@mambasoft.it> 22.1.4-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 22.1.3-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 22.1.2-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 22.1.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.1.0-1mamba
- package created using the webbuild interface
